<?php
#-----------------------------------------------------#
#          ********* ramzes.h2m.ru *********          #
#             Made by   :  hellsing and ramzes        #
#               E-mail  :  ra9cak@mail.ru             #
#                                                     #
#             WAP-Site  :  http://ramzes.h2m.ru       #
#                  ICQ  : ???-???-???                 #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
$dir = opendir ("../local/dataforum"); 
while ($file = readdir ($dir)) {
if (ereg (".dat$", $file) && !ereg("^top", $file)&& !ereg("^main", $file)) {
$downdir_array[]=$file;
}}  
closedir ($dir); 
sort($downdir_array);
$total = count($downdir_array);  
for ($i = 0; $i < $total; $i++){ 
$down_name=file_get_contents("$downdir_array[$i]");
if($down_name==""){$down_name=$downdir_array[$i];
$di=$down_name;
}
$lines = file("../local/dataforum/$di");

$md=explode("|", $lines[0]);





$filo=file("../local/dataforum/$di");
$di=count($filo);
$paga=(round($di/$config_forumpost))*$config_forumpost;
if ($paga>=$di) $paga=$paga-$config_forumpost;

if ($md[0]==$provlog) {
echo'<a href="index.php?event=topic&amp;r='.$md[11].'&amp;fid='.$md[8].'&amp;id='.$md[7].'&amp;page='.$paga.'&amp;'.SID.'"><font color="red">'.$md[3].'</font></a></br>';}
}
echo'<a href="index.php">[-]</a>Закрыть</br>';
?>